Description

The datum transformation dialog box does not appear when adding a layer in Datum Lisboa (EPSG 20790 or EPSG 20791) to a project in

EPSG 3763. If the layer is in Datum 73 (EPSG 27493), the dialog box appears as expected.

I attach a sample data. To reproduce, load first rgn_etrs89_marco_2012.shp (EPSG 3763), then rgn_dlx_marco_2012.shp (EPSG

20791) and finally rgn_d73_marco_2012.shp (EPSG 27493).

This was already commented, some time ago, here

#358239cc36778d219d400d44e63a5ff3e2f32921#commitcomment-4704855

History

#1 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2014-07-03 08:41 AM - Andre Joost

The CRS mentioned are based on the geographical CRS EPSG:4803 Lisbon(Lisbon), using the prime meridian of Lisbon.

The transformation method 5838 from Lisbon(Lisbon) to WGS84 is a Concatenated Operation:

    1. from Lisbon(Lisbon to Lisbon (EPSG:4803 based on Greenwich meridian)

    2. from Lisbon to WGS84 (tfm code 1988)

The first step is done in GDAL/QGIS with +pm=lisbon

 while the second is just the standard operation for EPSG:4803

So it is save to add all EPSG:4803 parameter choices to the source CRS 20790 and 20791 as well.

GDAL does it correct for the default value, so the new QGIS Datum transformation dialogue should do the same for the choices.

#3 - 2014-07-03 12:09 PM - Pedro Venâncio

- Assignee set to Marco Hugentobler

Hi André,

I leave here the insert sentences for tfm 1984 and 1988, with 4803 as source_crs_code.

-- tfm 1984:

insert into tbl_datum_transform (coord_op_code,source_crs_code,
target_crs_code,coord_op_method_code,p1,p2,p3,p4,p5,p6,p7,remarks,scope,preferred,deprecated,area_of_use_code)

values (100016,4803,4326,9603,-304.046,-60.576,103.640,'','For low resolution applications.',0,0,1294);

-- tfm 1988:

insert into tbl_datum_transform (coord_op_code,source_crs_code,

target_crs_code,coord_op_method_code,p1,p2,p3,p4,p5,p6,p7,remarks,scope,preferred,deprecated,area_of_use_code)

values (100017,4803,4326,9606,-288.885,-91.744,126.244,-1.691,0.410,-0.211,-4.598,'','For medium resolution applications.',0,0,1294);

I tested them and they are working properly.

Tfm 1656 was replaced by 1988 so I think it's not necessary. And tfm 1944 is marked as deprecated by EPSG (Error in rX parameter value. This EPSG

copy to WGS 84 not replaced as superseded by direct determination Lisbon to WGS 84 (4) (tfm code 1988).)

By the way, I think all deprecated transformations should be dropped.

I also leave two new transformations, for your consideration:

-- EPSG tfm 5038, but with target_crs_code 4326:

insert into tbl_datum_transform

(coord_op_code,source_crs_code,target_crs_code,coord_op_method_code,p1,p2,p3,remarks,scope,preferred,deprecated,area_of_use_code)

values (100018,4803,4326,9603,-303.861,-60.693,103.607,'Derived in July 2009 from 119 common stations. Info source also gives a Position

Vector tfm which is of similar accuracy. Replaces Lisbon to ETRS89 (2) (tfm code 1997).','Average residual at 833 test points 2.5m, maximum

7m.',0,0,1294);

-- New transformation from Portuguese Surveying Authority (Directorate-General of the Territory)

insert into tbl_datum_transform

(coord_op_code,source_crs_code,target_crs_code,coord_op_method_code,p1,p2,p3,p4,p5,p6,p7,remarks,preferred,deprecated,area_of_use_code)
values (100019,4803,4326,9606,-283.088,-70.693,117.445,-1.157,0.059,-0.652,-4.058,'Parâmetros de Transformação de Bursa-Wolf do Datum Lisboa para PT-TM06-ETRS89 (Direção-Geral do Território). Calculados em Julho 2009 com base nos 119 vértices geodésicos de 1ª ordem e utilizando os 833 vértices geodésicos de 2ª ordem para controlo. Site da DGT consultado em 29/Jun/2014. Assume-se que ETRS89 e WGS84 podem ser considerados iguais para o nível de precisão da transformação.',0,0,1294);


ode)

values (100019,4803,4326,9606,-283.088,-70.693,117.445,-1.157,0.059,-0.652,-4.058,'Parâmetros de Transformação de Bursa-Wolf do Datum

Lisboa para PT-TM06-ETRS89 (Direção-Geral do Território). Calculados em Julho 2009 com base nos 119 vértices geodésicos de 1ª ordem e

utilizando os 833 vértices geodésicos de 2ª ordem para controlo. Site da DGT consultado em 29/Jun/2014. Assume-se que ETRS89 e WGS84

podem ser considerados iguais para o nível de precisão da transformação.',0,0,1294);

Thanks!

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
